Subject: Re: [External] : bug#65344: 28.2; Unable to Edebug cl-flet form which uses argument destructuring

From: Gerd Möllmann <[email-masked]>
Date: Thu, 24 Aug 2023 11:10:24 +0200

Drew Adams <[email-masked]> writes:

> I think it's (at least at this point) about deciding
> and stating the intention.  At first there we none
> or few non-CL things offered in the cl-*.el code.
> Then a very few more.  Then a bunch more.  If no
> intention is declared that just adding non-CL stuff
> almost/seemingly willy-nilly to cl-*.el is OK, such
> addition might well be increasingly likely.
>
> IOW, let's not hope for perfect, and give up because
> things are already imperfect (that ship has sailed).
> Instead, why not declare that it's better to not add
> non-CL stuff to cl-*.el files, and work to keep it
> out.  Not adding more, and declaring that policy, is
> at least better than adding more with no such policy.
>
> Just one opinion.  We could improve things a bit here.

Just my 2 cents.

I would appreciate that.  At least let's try not make things incompable
with their CL counterparts, like in the flet case (which I meant with
the sailed ship).

On the other hand, I don't think the usual suspects do something like
that deliberatly.  And not excluding to have something like cl-defmethod
etc. that's not 100% CLOS but tries to comes close.